# D

interface D : Test (source)

#### Inheritors

DD

## Types

DD
Link copied to clipboard
object DD : Test.D

## Functions

aOrNull
Link copied to clipboard
inline fun Test . aOrNull (): Test.A ?
aOrThrow
Link copied to clipboard
inline fun Test . aOrThrow (): Test.A
cOrNull
Link copied to clipboard
inline fun Test . cOrNull (): Test.C ?
cOrThrow
Link copied to clipboard
inline fun Test . cOrThrow (): Test.C
dOrNull
Link copied to clipboard
inline fun Test . dOrNull (): Test.D ?
dOrThrow
Link copied to clipboard
inline fun Test . dOrThrow (): Test.D
ifA
Link copied to clipboard
inline fun < T > Test . ifA (block: ( Test.A ) -> T ): T ?
ifC
Link copied to clipboard
inline fun < T > Test . ifC (block: ( Test.C ) -> T ): T ?
ifD
Link copied to clipboard
inline fun < T > Test . ifD (block: ( Test.D ) -> T ): T ?